Question
Working with the WP REST API WP-CLI in WP 5.4, by selecting PHP 7.3 the call to wp post works as usually: wp post list But changing to PHP 7.4 (current) throws me the following errors: Deprecated: Array and string offset access ...
0
, , 4 weeks 0 Answers 40 views

Question
I'm following https://make.wordpress.org/cli/handbook/plugin-unit-tests/ to run unit tests for plugins. I create a new plugin. $ wp scaffold plugin hello-plugin-1 Success: Created plugin files. Success: Created test files. Run install-wp-tests.sh. $ cd wp-content/plugins/hello-plugin-1 $ ./bin/install-wp-tests.sh wordpress_test_1 root root localhost latest + install_wp + '[' -d /var/folders/qd/y3hp2mb90gx36d5swtxcndhh0000gn/T/wordpress/ ']' + ...
0
1 month 0 Answers 52 views

Question
Very basic question, but I couldn't find an answer. I am using the WP CLI post get command: https://wp-cli.org/commands/post/get/ One of the option is [--field=], but I can't find in the doc the list of allowed values for this field. What ...
0
1 month 0 Answers 42 views